3 Replies Latest reply: Aug 26, 2014 5:40 PM by 1783608 RSS

    opatach rollback issue

    1783608

      Hi,

       

      I am trying to rollback a patch but get this error.

      What my goal is to apply 11.2.0.3.8 database psu but it's asking to rollback the below patch number. I am already working in offline mode and not sure why it's complaining about this and using connectstring option.

       

      RollbackSession rolling back interim patch '10400244' from OH '/ora/ifsdv01/u01/app/oracle/product/11.2.0/db_1'

      Prerequisite check "CheckForInputValues" failed.

      The details are:

      Patch 10400244 :

         Online patching requires -connectString option.

       

      Any idea??

        • 1. Re: opatach rollback issue
          S_Firdous

          Hi,

           

          OPatch detects and reports any conflicts encountered when applying an interim patch with a previously applied patch. The patch application fails in case of conflicts. You can use the -force option of OPatch to override this failure. If you specify -force, the installer firsts rolls back any conflicting patches and then proceeds with the installation of the desired interim patch.

           

          Check if works for you...Normaly when applied offline shouldn't give such error.

           

          Thanks,

          • 2. Re: opatach rollback issue
            Bhanu.Oradba-Oracle

            I see from the output you are using -connectString option, your intention to run any scripts in the database?

             

            Online patching requires -connectString option.   --->> You need to supply connect string.

             

            Please give the command you executed, will check if there is any error.

             

            Thanks,

            Bhanu

            • 3. Re: opatach rollback issue
              1783608

              Hi Firdous,

               

              I did try -force option with apply and rollback but it fails with the same error.

              [oracle:ifsdv011(db)@dbsld0017] /ifscommon/patches/linux/17540582> $ORACLE_HOME/OPatch/opatch apply -force
              Oracle Interim Patch Installer version 11.2.0.3.3
              Copyright (c) 2012, Oracle Corporation.  All rights reserved.


              Oracle Home       : /ora/ifsdv01/u01/app/oracle/product/11.2.0/db_1
              Central Inventory : /u01/app/grid/oraInventory
                 from           : /ora/ifsdv01/u01/app/oracle/product/11.2.0/db_1/oraInst.loc
              OPatch version    : 11.2.0.3.3
              OUI version       : 11.2.0.3.0
              Log file location : /ora/ifsdv01/u01/app/oracle/product/11.2.0/db_1/cfgtoollogs/opatch/opatch2014-08-26_15-30-06PM_1.log

              Verifying environment and performing prerequisite checks...
              Composite Patch 17540582 is a bug superset of 10400244,16175381 in OH.

              Patches [   10400244   16175381 ] will be rolled back.


              Do you want to proceed? [y|n]
              y
              User Responded with: Y
              OPatch continues with these patches:   16056266  16619892  16902043  17540582 
              UtilSession failed:
              OPatch cannot roll back an online patch while applying a regular patch.
              Please rollback the online patch(es) " 10400244" manually, and then apply the regular patch(es) " 17540582".

              Log file location: /ora/ifsdv01/u01/app/oracle/product/11.2.0/db_1/cfgtoollogs/opatch/opatch2014-08-26_15-30-06PM_1.log

              OPatch failed with error code 73
              [oracle:ifsdv011(db)@dbsld0017] /ifscommon/patches/linux/17540582> $ORACLE_HOME/OPatch/opatch rollback -id 10400244 -force
              Oracle Interim Patch Installer version 11.2.0.3.3
              Copyright (c) 2012, Oracle Corporation.  All rights reserved.


              Oracle Home       : /ora/ifsdv01/u01/app/oracle/product/11.2.0/db_1
              Central Inventory : /u01/app/grid/oraInventory
                 from           : /ora/ifsdv01/u01/app/oracle/product/11.2.0/db_1/oraInst.loc
              OPatch version    : 11.2.0.3.3
              OUI version       : 11.2.0.3.0
              Log file location : /ora/ifsdv01/u01/app/oracle/product/11.2.0/db_1/cfgtoollogs/opatch/10400244_Aug_26_2014_15_38_40/rollback2014-08-26_15-38-40PM_1.log

              RollbackSession rolling back interim patch '10400244' from OH '/ora/ifsdv01/u01/app/oracle/product/11.2.0/db_1'

              The patch should be applied/rolled back in '-all_nodes' mode only.
              Converting the RAC mode to '-all_nodes' mode.
              Prerequisite check "CheckForInputValues" failed.
              The details are:
              Patch 10400244 :
                 Online patching requires -connectString option.


              [ Error during Prerequisite for rollback Phase]. Detail: RollbackSession failed during prerequisite checks: Prerequisite check "CheckForInputValues" failed.
              Log file location: /ora/ifsdv01/u01/app/oracle/product/11.2.0/db_1/cfgtoollogs/opatch/10400244_Aug_26_2014_15_38_40/rollback2014-08-26_15-38-40PM_1.log

              Recommended actions: Please check if you have typed in the correct command line.

              OPatch failed with error code 35